Xerces2 Implementation: Class XSMessageFormatter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSMessageFormatter

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSMessageFormatter

All Implemented Interfaces:
  MessageFormatter

public class XSMessageFormatter
extends java.lang.Object
implements MessageFormatter

SchemaMessageProvider implements an XMLMessageProvider that provides localizable error messages for the W3C XML Schema Language

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $
Author:
  Elena Litani, IBM

Field Summary
`static java.lang.String` | `SCHEMA_DOMAIN` The domain of messages concerning the XML Schema: Structures specification.

Constructor Summary
`XSMessageFormatter()`

Method Summary
`java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_DOMAIN

    public static final java.lang.String SCHEMA_DOMAIN

  The domain of messages concerning the XML Schema: Structures specification.

Constructor Detail

### XSMessageFormatter

    public XSMessageFormatter()

Method Detail

### formatMessage

    public java.lang.String formatMessage(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.Object[] arguments)
                                   throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.
  Specified by:
    `formatMessage` in interface `MessageFormatter`
  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.